#include<bits/stdc++.h>
using namespace std;
#define ll long long
int main (){
       ios_base::sync_with_stdio(0);
       ll t , q , f , l , r , x , y , i , n , m , j , k , mn = 2e9, mx = -2e9;
      string s;
      cin>>s;
      string a=s;
      reverse(s.begin(),s.end());
       for(i=0;i<s.size();i++){
          if(s[i]=='2'){
               s[i]='5';
          }
         else  if(s[i]=='5'){
               s[i]='2';
          }
       }
       for(i=0;i<s.size();i++){
          if(s[i]=='0'){
               s.erase(i,1);
               i--;
          }else{
           break;
          }
       }

       cout<<s;
 }